this.name			= "FdL_viper_E_conditions";
this.author			= "Montana05";
this.description	= "condition script for Viper-E ships";
this.version		= "0.52";
this.copyright		= "2021 Montana05";
this.licence		= "CC BY-NC-SA 4.0";
"use strict";

this.allowSpawnShip = function(shipKey) 
{
	var systemEco = system.economy;
	var systemGov = system.government;
	
	if(system.isInterstellarSpace || system.sun.isGoingNova || system.sun.hasGoneNova)
	{
		return false;
	};
	
	switch(shipKey) 
	{
		case "FdL_viper_E_patrol":
		case "FdL_viper_E_pursuit":
		case "FdL_viper_E_interceptor":	
			
			// GalCop space police in rich, stable governments	
			if(systemGov > 4 && systemEco <= 3)
			{
				return true;
			};
			break;

		// GalCop deputies in average or poor stable governments
		case "FdL_viper_E_pursuit_bhg_deputy":
			
			if(systemGov > 4 && systemEco > 3)
			{
				return true;
			};
			break;

		// bounty hunters in unstable and dangerous systems
		case "FdL_viper_E_pursuit_bhg":
		case "FdL_viper_E_pursuit_bhg_team_01":
		
			if(systemGov <= 2)
			{
				return true;
			};
			break;
			
		default:
			break;	
	};
	return false;
};